Skip to main content
GET
/
v1
/
communications
/
templates
/
{id}
Shows a communications template
curl --request GET \
  --url https://api.rootly.com/v1/communications/templates/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "type": "communications_templates",
    "attributes": {
      "name": "<string>",
      "position": 123,
      "created_at": "<string>",
      "updated_at": "<string>",
      "slug": "<string>",
      "description": "<string>",
      "communication_type_id": "<string>",
      "communication_template_stages": [
        {
          "data": {
            "id": "<string>",
            "type": "communications_template_stages",
            "attributes": {
              "email_body": "<string>",
              "email_subject": "<string>",
              "slack_content": "<string>",
              "sms_content": "<string>",
              "created_at": "<string>",
              "updated_at": "<string>",
              "communication_stage": {
                "id": "<string>",
                "name": "<string>"
              },
              "communication_template": {
                "id": "<string>",
                "name": "<string>"
              }
            }
          }
        }
      ],
      "communication_type": {
        "id": "<string>",
        "name": "<string>"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Communications Template ID

Response

communications template found

data
object
required